org.apache.ignite.internal.processors.cache

## Enum ClusterState

- java.lang.Object
- - java.lang.Enum<ClusterState>
  - - org.apache.ignite.internal.processors.cache.ClusterState

All Implemented Interfaces:
  Serializable, Comparable<ClusterState>

    public enum ClusterState
    extends Enum<ClusterState>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACTIVE` Cache is active and operations.
`INACTIVE` Cache is inactive.
`TRANSITION` Cache is inactive.

### Method Summary

Methods
`static ClusterState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ClusterState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INACTIVE

    public static final ClusterState INACTIVE

Cache is inactive. No operations are allowed, no partition assignments or rebalancing is performed.

#### ACTIVE

    public static final ClusterState ACTIVE

Cache is active and operations. There are no lost partitions.

#### TRANSITION

    public static final ClusterState TRANSITION

Cache is inactive. But process of it activation in progress.

### Method Detail

#### values

    public static ClusterState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClusterState c : ClusterState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClusterState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017